Last Comment Bug 653424 - need to add comm-2.0 and releases/comm-{aurora,beta} to MXR
: need to add comm-2.0 and releases/comm-{aurora,beta} to MXR
Status: RESOLVED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All All
: -- major (vote)
: ---
Assigned To: Jake Maul [:jakem]
: Corey Shields [:cshields]
:
Mentors:
Depends on: 649855
Blocks: C20Branch SM-rapid-release
  Show dependency treegraph
 
Reported: 2011-04-28 07:15 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2015-03-12 08:17 PDT (History)
15 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
do it v1 (3.11 KB, patch)
2011-07-16 23:20 PDT, Justin Wood (:Callek)
standard8: feedback+
Details | Diff | Splinter Review
v1.1 (2.05 KB, patch)
2011-09-18 13:18 PDT, Justin Wood (:Callek)
no flags Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-04-28 07:15:14 PDT
+++ This bug was initially created as a clone of Bug #446355 +++

comm-central, comm-1.9.1 and comm-1.9.2 already exist on MXR, so I guess the setup should need no further explanation. Please add comm-2.0 which branch SeaMonkey (SM2.1) is built from.

While we're at it, we may also clarify the descriptions:
- comm-central: used for trunk SM, TB and Calendar
- comm-2.0: used for branch SM
- comm-1.9.2: used for branch TB and Calendar
- comm-1.9.1: used for branch SM, TB and Calendar
Comment 1 Justin Wood (:Callek) 2011-05-06 15:48:25 PDT
ping?
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2011-05-07 23:05:49 PDT
This is a configuration change moreso than a code change, i.e. needs to be done by ops, not by the app dev.
Comment 3 Reed Loden [:reed] (use needinfo?) 2011-05-12 13:54:19 PDT
(In reply to comment #2)
> This is a configuration change moreso than a code change, i.e. needs to be
> done by ops, not by the app dev.

eh, config should be in version control, really... which makes it app-related.
Comment 4 Justin Dow [:jabba] 2011-05-13 23:01:23 PDT
Not sure if this belongs in ops or app dev. Dave can you make the config change if it is for ops, or re-assign if it is for app dev?
Comment 5 Justin Wood (:Callek) 2011-05-27 11:16:27 PDT
Assigning to myself, since it was pointed out that mxr lives in hg, and needs code changes.

Since I'm doing the work, and easier to do all at once, I'm morphing this to track comm-aurora/beta as well.
Comment 6 Justin Wood (:Callek) 2011-07-16 23:20:57 PDT
Created attachment 546390 [details] [diff] [review]
do it v1

timeless, dave, whoever reviews first is fine. Also do I need a special deploy date or does mxr pull from hg periodically automatically?

Mark, is this mxr index format ok for you from a useability standpoint for TB use as well?
Comment 7 Justin Wood (:Callek) 2011-07-16 23:22:47 PDT
Comment on attachment 546390 [details] [diff] [review]
do it v1

...sorry for tab insertion, fixed locally.
Comment 8 Ian Neal 2011-07-17 02:54:05 PDT
(In reply to comment #6)
> Created attachment 546390 [details] [diff] [review] [review]
> do it v1
> 
> timeless, dave, whoever reviews first is fine. Also do I need a special
> deploy date or does mxr pull from hg periodically automatically?
> 
> Mark, is this mxr index format ok for you from a useability standpoint for
> TB use as well?

Will comm-2.0 be in another patch?
Comment 9 Justin Wood (:Callek) 2011-07-17 09:26:38 PDT
(In reply to comment #8)
> Will comm-2.0 be in another patch?

Whops, yes. I'll correct that tonight.
Comment 10 Mark Banner (:standard8, afk until Dec) 2011-07-18 00:15:04 PDT
Comment on attachment 546390 [details] [diff] [review]
do it v1

Looks fine to me, though you may want to clean up tabs versus spaces ;-)
Comment 11 Mark Banner (:standard8, afk until Dec) 2011-08-10 03:55:06 PDT
Callek, update the patch, and then we'll try and hopefully it'll get reviewed this time?
Comment 12 Justin Wood (:Callek) 2011-09-18 13:18:36 PDT
Created attachment 560811 [details] [diff] [review]
v1.1

This should do it. Now if I can only get official review.
Comment 13 Justin Wood (:Callek) 2011-10-07 19:15:52 PDT
Comment on attachment 560811 [details] [diff] [review]
v1.1

Cory, can we find someone to own this service/review this. Dave (over IRC) insists it is not him, Timeless hasn't been seen here in a while, etc.

This is basically blocking both SeaMonkey and Thunderbird from doing our rapid-release work as efficiently as possible. And making it 10x harder to diagnose risk on our approvals. I had the prior patch on here awaiting review for a long time previous as well. And even before that the bug itself was around longer.
Comment 14 Tony Mechelynck [:tonymec] 2011-10-08 07:39:04 PDT
hm, AFAICT mxr isn't owned (no match for the string in https://wiki.mozilla.org/Modules/All ). Justin, if this goes on, maybe we should try "Figuring out what to do if a module isn't getting enough attention", see https://wiki.mozilla.org/Modules/All#Module_Ownership_System
Comment 15 Corey Shields [:cshields] 2011-10-13 08:09:10 PDT
applied the patch to stage..  More work needs to be done to make it all work though.  Cron script didn't seem happy either when I tested it.

I'm out of time on this for now, will come back to it when I have some time.
Comment 16 Mark Banner (:standard8, afk until Dec) 2011-11-14 15:19:07 PST
(In reply to Corey Shields [:cshields] from comment #15)
> applied the patch to stage..  More work needs to be done to make it all work
> though.  Cron script didn't seem happy either when I tested it.
> 
> I'm out of time on this for now, will come back to it when I have some time.

Corey, any updates on this - that comment was more than a month ago.

I'm bumping the severity as this has been on-going for more than 6 months now and this keeps hampering us when we want to check things on branches.
Comment 17 Corey Shields [:cshields] 2011-11-16 07:33:17 PST
(In reply to Mark Banner (:standard8) from comment #16)
> Corey, any updates on this - that comment was more than a month ago.

nope.. haven't had time for this, it has been preempted.

> I'm bumping the severity as this has been on-going for more than 6 months
> now and this keeps hampering us when we want to check things on branches.

I'll reassign to jakem in hopes that he can fit it in.  He's in the data center through the end of this week so it might be next week before he can look at it.
Comment 18 Jake Maul [:jakem] 2011-11-16 14:25:26 PST
I'll see what I can do on this. As stated before, MXR doesn't *have* a maintainer, really, which causes lots of problems like this (new trees needing tracked, bug fixing, performance tuning, etc).

I do not have Hg commit access at the moment. On top of that, there have been local changes to the MXR configs over the last few months, mostly due to this type of confusion (IT making changes b/c there is no dev maintainer). Those will need to get merged into the repo as well.

I would not expect to have it completed this week, but I should be able to at least look it over. I suspect adding these should be pretty straightforward.
Comment 19 Jens Hatlak (:InvisibleSmiley) 2011-11-16 14:35:17 PST
(In reply to Jake Maul [:jakem] from comment #18)
> I suspect adding these should be pretty straightforward.

I guess so, too, simply because similar setups already exist (comm-1.9.[12]).

Also note that comm-2.0 is not used anymore (it was only used for the SeaMonkey 2.1 branch, and SeaMonkey 2.1 is already discontinued and unsupported) so it only needs to be processed once and can then be left alone. Not sure about comm-1.9.[12]; I'll leave that to Callek and Mark.
Comment 20 Mark Banner (:standard8, afk until Dec) 2011-11-16 15:21:58 PST
comm-1.9.[12] are useful to have around - 1.9.2 is still active in any case. However they are useful in just the same way that it is useful to have the mozilla cvs repository and the mozilla-1.8 repos around - sometimes it is useful to be able to go back to those and search for code to get the historical perspective.

They could be updated less frequently if that helps, I believe older repos are already updated less frequently.
Comment 21 Jake Maul [:jakem] 2012-01-23 13:11:00 PST
comm-2.0 is done processing, but per this bug will not be scheduled for regular processing... one-time-only, for reference.

comm-beta and comm-aurora have just finished as well. They will be scheduled up for daily processing. This matches mozilla-beta and mozilla-aurora.

Note You need to log in before you can comment on or make changes to this bug.